﻿using Samples.Shared;
using System;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;

namespace Samples.GridView.RowIndex
{
    /// <summary>
    /// Interaction logic for MainPage.xaml
    /// </summary>
    public partial class MainPage : UserControl
    {
        private bool changingSelection;

        public MainPage()
        {
            InitializeComponent();

            this.radGridView.ItemsSource = SampleData.GetMessages();
            this.radGridView.RowLoaded += new EventHandler<RowLoadedEventArgs>(radGridView_RowLoaded);
        }

        void radGridView_RowLoaded(object sender, RowLoadedEventArgs e)
        {
            if (e.Row is GridViewNewRow || e.Row is GridViewExpandableRow)
                return;

            var row = e.Row as GridViewRow;

            if (row != null)
            {
                row.Cells[0].Content = this.radGridView.Items.IndexOf(row.Item);
            }
        }

        private void TextBlock_Loaded(object sender, RoutedEventArgs e)
        {
            var senderElement = (TextBlock)sender;
            var parentCell = senderElement.ParentOfType<GridViewCell>();

            if (parentCell.ParentRow != null && parentCell.ParentRow.GridViewDataControl != null)
            {
                var rowIndex = parentCell.ParentRow.GridViewDataControl.Items.IndexOf(parentCell.DataContext);
                senderElement.Text = rowIndex.ToString();
            }
        }
    }
}
